> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 팔로우

> 팔로우 관계를 관리하고 팔로워/팔로잉 정보를 조회합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Follows 엔드포인트를 사용하면 사용자를 팔로우하거나 언팔로우하고, 임의의 사용자의 팔로워 및 팔로잉 리스트를 조회할 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="팔로우" icon="user-plus">
    인증된 사용자를 대신해 사용자를 팔로우합니다
  </Card>

  <Card title="언팔로우" icon="user-minus">
    사용자를 언팔로우합니다
  </Card>

  <Card title="팔로워" icon="users">
    사용자의 팔로워를 조회합니다
  </Card>

  <Card title="팔로잉" icon="user-group">
    사용자가 팔로우하는 계정을 조회합니다
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

<div id="follows-lookup">
  ### 팔로우 조회
</div>

| Method | Endpoint                                                  | Description          |
| :----- | :-------------------------------------------------------- | :------------------- |
| GET    | [`/2/users/:id/followers`](/ko/x-api/users/get-followers) | 사용자의 팔로워를 조회합니다      |
| GET    | [`/2/users/:id/following`](/ko/x-api/users/get-following) | 사용자가 팔로우하는 계정을 조회합니다 |

<div id="manage-follows">
  ### 팔로우 관리
</div>

| Method | Endpoint                                                                              | Description    |
| :----- | :------------------------------------------------------------------------------------ | :------------- |
| POST   | [`/2/users/:id/following`](/ko/x-api/users/follow-user)                               | 사용자를 팔로우합니다    |
| DELETE | [`/2/users/:source_user_id/following/:target_user_id`](/ko/x-api/users/unfollow-user) | 사용자 팔로우를 취소합니다 |

***

<div id="example-get-followers">
  ## 예제: 팔로워 가져오기
</div>

```bash theme={null}
curl "https://api.x.com/2/users/2244994945/followers?\
user.fields=username,verified,public_metrics" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-follow-a-user">
  ## 예제: 사용자를 팔로우하기
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/following" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_user_id": "2244994945"}'
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키와 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="빠른 시작" icon="rocket" href="/ko/x-api/users/follows/quickstart">
    팔로우 기능 시작하기
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/users/followers-lookup">
    전체 엔드포인트 설명서
  </Card>

  <Card title="샘플 코드" icon="github" href="https://github.com/xdevplatform/Twitter-API-v2-sample-code">
    실행 가능한 코드 예제
  </Card>
</CardGroup>
